Package io.vertx.reactivex.ext.auth.jwt.authorization

## Class JWTAuthorization

- java.lang.Object
- - io.vertx.reactivex.ext.auth.jwt.authorization.JWTAuthorization

- All Implemented Interfaces:
    `AuthorizationProvider`

      public class JWTAuthorization
      extends Object
      implements AuthorizationProvider

  Implementation of the JWT authorization provider.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<JWTAuthorization>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JWTAuthorization​(JWTAuthorization delegate)` |
    `JWTAuthorization​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static JWTAuthorization` | `create​(String rootClaim)` | Factory method to create a Authorization provider for JWT tokens.
    `boolean` | `equals​(Object o)` |
    `Future<Void>` | `getAuthorizations​(User user)` | Updates the user with the set of authorizations.
    `JWTAuthorization` | `getDelegate()` |
    `String` | `getId()` | returns the id of the authorization provider
    `int` | `hashCode()` |
    `static JWTAuthorization` | `newInstance​(JWTAuthorization arg)` |
    `Completable` | `rxGetAuthorizations​(User user)` | Updates the user with the set of authorizations.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JWTAuthorization> __TYPE_ARG

  - ### Constructor Detail

    - #### JWTAuthorization

          public JWTAuthorization​(JWTAuthorization delegate)

    - #### JWTAuthorization

          public JWTAuthorization​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public JWTAuthorization getDelegate()

      Specified by:
        `getDelegate` in interface `AuthorizationProvider`

    - #### getId

          public String getId()

      returns the id of the authorization provider
      Specified by:
        `getId` in interface `AuthorizationProvider`
      Returns:

    - #### getAuthorizations

          public Future<Void> getAuthorizations​(User user)

      Updates the user with the set of authorizations.
      Specified by:
        `getAuthorizations` in interface `AuthorizationProvider`
      Parameters:
        `user` - user to lookup and update.
      Returns:
        Future void to signal end of asynchronous call.

    - #### rxGetAuthorizations

          public Completable rxGetAuthorizations​(User user)

      Updates the user with the set of authorizations.
      Specified by:
        `rxGetAuthorizations` in interface `AuthorizationProvider`
      Parameters:
        `user` - user to lookup and update.
      Returns:
        Future void to signal end of asynchronous call.

    - #### create

          public static JWTAuthorization create​(String rootClaim)

      Factory method to create a Authorization provider for JWT tokens.
      Parameters:
        `rootClaim` - slash separated string to the json array with the claims.
      Returns:
        a AuthorizationProvider

    - #### newInstance

          public static JWTAuthorization newInstance​(JWTAuthorization arg)